Bug 26694 - Set focus for cursor to search input box on guarantor_search.pl
Summary: Set focus for cursor to search input box on guarantor_search.pl
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-15 15:35 UTC by Barbara Johnson
Modified: 2020-12-10 18:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl (1.60 KB, patch)
2020-10-19 18:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl (1.67 KB, patch)
2020-10-19 18:36 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl (1.72 KB, patch)
2020-10-20 13:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-15 15:35:29 UTC
When performing a search for a guarantor on guarantor_search.pl you have to click in the search box so that you can enter text.  It would be more efficient to set the focus for the cursor to always be in the search box so that you could just begin typing and eliminate and extra click.
Comment 1 Owen Leonard 2020-10-19 18:08:58 UTC
Created attachment 112002 [details] [review]
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl

This patch adds the "focus" class to the patron search field so that
cursor focus is set when the page loads.

To test, apply the patch and view an adult patron record in the staff
client.

- Click the "Add guaratee" button in the patron toolbar.
- On the following "Add patron" page, click the "Search to add" button
  in the "Patron guarantor" section.
- A popup window should appear, and the focus should automatically be on
  the first form field.
Comment 2 ByWater Sandboxes 2020-10-19 18:36:33 UTC
Created attachment 112005 [details] [review]
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl

This patch adds the "focus" class to the patron search field so that
cursor focus is set when the page loads.

To test, apply the patch and view an adult patron record in the staff
client.

- Click the "Add guaratee" button in the patron toolbar.
- On the following "Add patron" page, click the "Search to add" button
  in the "Patron guarantor" section.
- A popup window should appear, and the focus should automatically be on
  the first form field.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2020-10-20 13:16:34 UTC
Created attachment 112034 [details] [review]
Bug 26694: Set focus for cursor to search input box on guarantor_search.pl

This patch adds the "focus" class to the patron search field so that
cursor focus is set when the page loads.

To test, apply the patch and view an adult patron record in the staff
client.

- Click the "Add guaratee" button in the patron toolbar.
- On the following "Add patron" page, click the "Search to add" button
  in the "Patron guarantor" section.
- A popup window should appear, and the focus should automatically be on
  the first form field.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:58:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:58:46 UTC
enhancement will not be backported to 20.05.x